<?php session_start();

require_once 'Cliente.php';
require_once '../../script_php/conexao.php';

$rua = $_POST['rua'];
$numero = $_POST['numerocasa'];
$bairro = $_POST['bairro'];
$cidade = $_POST['cidade'];
$nome = $_POST['nome'];
$dataNascimento = $_POST['datanascimento'];
$celular = $_POST['celular'];
$profissao = $_POST['profissao'];
$instagram = $_POST['instagram'];
$loja = $_POST['loja'];

@$idVindoDoRemoto = $_POST['id'];



$contagemNumero = strlen($celular);

$celular = str_replace(' ', '', $celular);

$Cliente = new Cliente($nome,$profissao,$celular,$dataNascimento,$rua,$numero,$bairro,$cidade,$instagram,$loja);

$telefoneCadastrado = $Cliente->buscarCliente($conexao,$celular);

if($contagemNumero <> 11){
    
    $_SESSION['msg'] = "<div class='alert alert-danger'>Telefone errado</div>";
   header("Location: ../index.php");
}


if($telefoneCadastrado == $celular){

    $_SESSION['msg'] = "<div class='alert alert-danger'>Cliente já possue cadastro.</div>";
  header("Location: ../index.php");

}else{

$Cliente->CadastrarCliente($conexao);

    $_SESSION['msg'] = "<div class='alert alert-success'>Cadastrado com sucesso</div>";
    if($idVindoDoRemoto == 1){
     header("Location: ../listaClientes.php?id=1");
    }else{
   header("Location: ../index.php");
    }

}



